petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSMonitorDrawSolution

Monitors progress of the TS solvers by calling VecView() for the solution at each timestep

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorDrawSolution(TS ts,PetscInt step,PetscReal ptime,Vec u,void *dummy)

Collective on TS Many br

### Input Parameters

| ts | - the TS context Many br
| step | - current time-step Many br
| ptime | - current time Many br
| dummy | - either a viewer or NULL Many br

### Options Database

-ts_monitor_draw_solution_initial -show initial solution as well as current solution Many br

Notes: the initial solution and current solution are not display with a common axis scaling so generally the option -ts_monitor_draw_solution_initial Many brwill look bad Many br

Many br

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages